Bio::Biblio::Patent(3)

NAME
Bio::Biblio::Patent - Representation of a patent

SYNOPSIS
    $obj = new Bio::Biblio::Patent (-doc_number => '1-2-3-4-5');

  #--- OR ---

    $obj = new Bio::Biblio::Patent;
    $obj->doc_number ('1-2-3-4-5');

DESCRIPTION
A storage object for a patent. See its place in the class hierarchy in http://www.ebi.ac.uk/~senger/openbqs/images/bibobjects_perl.gif

  Attributes
The following attributes are specific to this class (however, you can also set and get all attributes defined in the parent classes):

  doc_number
  doc_office
  doc_type
  applicants       type: array ref of Bio::Biblio::Providers

SEE ALSO

•   OpenBQS home page: http://www.ebi.ac.uk/~senger/openbqs/

•   Comments to the Perl client: http://www.ebi.ac.uk/~senger/openbqs/Client_perl.html

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHORS
Heikki Lehvaslaiho (heikki@ebi.ac.uk), Martin Senger (senger@ebi.ac.uk)

COPYRIGHT
Copyright (c) 2002 European Bioinformatics Institute. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.